import { HttpClient, MaybeContext, BuildRESTFunction } from '@wix/sdk-types';
import { U as User, C as CreateAccountOptions, a as CreateAccountResponse, L as ListChildAccountsOptions, b as ListChildAccountsResponse } from './identity-account-v2-account-accounts.universal-C4Sq5tnb.mjs';
export { e as Account, J as AccountInfo, f as AccountProperties, k as AccountResponse, A as AccountStatus, d as AccountV2, h as AccountsResponse, c as CoBranding, s as CreateAccountAndAssignUserRequest, W as CreateAccountForMyUserOptions, p as CreateAccountForMyUserRequest, n as CreateAccountRequest, q as CreateAccountTenantRequest, r as CreateAccountTenantResponse, D as DeleteAccountRequest, E as Email, x as EmptyResponse, j as GetAccountRequest, m as GetAccountsRequest, l as GetMyAccountRequest, i as GetMyUserAccountsRequest, F as GetParentAccountInfoRequest, H as GetParentAccountInfoResponse, K as GetSubAccountsRequest, N as GetSubAccountsResponse, G as GetUserAccountRequest, g as GetUserAccountsRequest, I as IsTeamRequest, z as IsTeamResponse, T as ListChildAccountsRequest, M as MarkAccountFlagRequest, B as MarkAccountFlagRequestFlagOneOf, P as Paging, Q as PagingMetadata, R as RemoveParent, V as SetIsReadOnlyAccountRequest, S as SsoIdentity, O as SubAccountInfo, t as UpdateAccountRequest, u as UpdateParentAccountRequest, v as UpdateParentAccountRequestUpdateOneOf, w as UpdateParentAccountResponse, y as UpdateSlugRequest, o as UserDetails } from './identity-account-v2-account-accounts.universal-C4Sq5tnb.mjs';

declare function createAccount$1(httpClient: HttpClient): CreateAccountSignature;
interface CreateAccountSignature {
    /**
     * Creates a new Wix account, and creates a new Wix user as the account owner.
     * The newly created account is a child account of the account used to create it, making that account its parent.
     *
     * > **Important**: This call requires an account level API key and cannot be authenticated with the standard authorization header. API keys are currently available to selected beta users only.
     * @param - The user to create under the new account, with the roles defined in `roles`.
     * @param - Filter options.
     */
    (user: User, options?: CreateAccountOptions | undefined): Promise<CreateAccountResponse>;
}
declare function listChildAccounts$1(httpClient: HttpClient): ListChildAccountsSignature;
interface ListChildAccountsSignature {
    /**
     * Retrieves a list of child account IDs for the requesting account.
     * If no child accounts exist, an empty list will be returned.
     *
     * > **Important**: This call requires an account level API key and cannot be authenticated with the standard authorization header. API keys are currently available to selected beta users only.
     * @param - Filter options.
     */
    (options?: ListChildAccountsOptions | undefined): Promise<ListChildAccountsResponse>;
}

declare const createAccount: MaybeContext<BuildRESTFunction<typeof createAccount$1> & typeof createAccount$1>;
declare const listChildAccounts: MaybeContext<BuildRESTFunction<typeof listChildAccounts$1> & typeof listChildAccounts$1>;

export { CreateAccountOptions, CreateAccountResponse, ListChildAccountsOptions, ListChildAccountsResponse, User, createAccount, listChildAccounts };
