import { HttpClient, MaybeContext, BuildRESTFunction } from '@wix/sdk-types';
import { U as User, C as CreateAccountOptions, a as CreateAccountResponse, b as CreateAccountForMyUserOptions, A as AccountResponse, L as ListChildAccountsOptions, c as ListChildAccountsResponse } from './identity-account-v2-account-accounts.universal-BSD6j2ro.mjs';
export { g as Account, K as AccountInfo, h as AccountProperties, d as AccountStatus, f as AccountV2, j as AccountsResponse, e as CoBranding, t as CreateAccountAndAssignUserRequest, q as CreateAccountForMyUserRequest, o as CreateAccountRequest, r as CreateAccountTenantRequest, s as CreateAccountTenantResponse, D as DeleteAccountRequest, E as Email, y as EmptyResponse, l as GetAccountRequest, n as GetAccountsRequest, m as GetMyAccountRequest, k as GetMyUserAccountsRequest, H as GetParentAccountInfoRequest, J as GetParentAccountInfoResponse, N as GetSubAccountsRequest, O as GetSubAccountsResponse, G as GetUserAccountRequest, i as GetUserAccountsRequest, I as IsTeamRequest, B as IsTeamResponse, V as ListChildAccountsRequest, M as MarkAccountFlagRequest, F as MarkAccountFlagRequestFlagOneOf, P as Paging, T as PagingMetadata, R as RemoveParent, W as SetIsReadOnlyAccountRequest, S as SsoIdentity, Q as SubAccountInfo, u as UpdateAccountRequest, v as UpdateParentAccountRequest, w as UpdateParentAccountRequestUpdateOneOf, x as UpdateParentAccountResponse, z as UpdateSlugRequest, p as UserDetails } from './identity-account-v2-account-accounts.universal-BSD6j2ro.mjs';

declare function createAccount$1(httpClient: HttpClient): CreateAccountSignature;
interface CreateAccountSignature {
    /**
     * Creates a new Wix account, and creates a new Wix user as the account owner.
     * The newly created account is a child account of the account used to create it, making that account its parent.
     *
     * > **Important**: This call requires an account level API key and cannot be authenticated with the standard authorization header. API keys are currently available to selected beta users only.
     * @param - The user to create under the new account, with the roles defined in `roles`.
     * @param - Filter options.
     */
    (user: User, options?: CreateAccountOptions | undefined): Promise<CreateAccountResponse>;
}
/** @internal */
declare function createAccountForMyUser$1(httpClient: HttpClient): CreateAccountForMyUserSignature;
interface CreateAccountForMyUserSignature {
    /**
     * creates account for the logged in user
     */
    (options?: CreateAccountForMyUserOptions | undefined): Promise<AccountResponse>;
}
declare function listChildAccounts$1(httpClient: HttpClient): ListChildAccountsSignature;
interface ListChildAccountsSignature {
    /**
     * Retrieves a list of child account IDs for the requesting account.
     * If no child accounts exist, an empty list will be returned.
     *
     * > **Important**: This call requires an account level API key and cannot be authenticated with the standard authorization header. API keys are currently available to selected beta users only.
     * @param - Filter options.
     */
    (options?: ListChildAccountsOptions | undefined): Promise<ListChildAccountsResponse>;
}

declare const createAccount: MaybeContext<BuildRESTFunction<typeof createAccount$1> & typeof createAccount$1>;
/** @internal */
declare const createAccountForMyUser: MaybeContext<BuildRESTFunction<typeof createAccountForMyUser$1> & typeof createAccountForMyUser$1>;
declare const listChildAccounts: MaybeContext<BuildRESTFunction<typeof listChildAccounts$1> & typeof listChildAccounts$1>;

export { AccountResponse, CreateAccountForMyUserOptions, CreateAccountOptions, CreateAccountResponse, ListChildAccountsOptions, ListChildAccountsResponse, User, createAccount, createAccountForMyUser, listChildAccounts };
